### Enumeration

# RB DisplayPageGroupType

#### Declaration

    enum RB.DisplayPageGroupType

#### Description [src]

Predefined categories of page group. The order they’re defined here is the order they appear in the page tree.

#### Members

`RB_DISPLAY_PAGE_GROUP_CATEGORY_FIXED`

  Fixed single instance sources (e.g., library).

  - Value: `0`
  - Available since: 3.0
`RB_DISPLAY_PAGE_GROUP_CATEGORY_PERSISTENT`

  Persistent multiple-instance sources (e.g. playlists).

  - Value: `2`
  - Available since: 3.0
`RB_DISPLAY_PAGE_GROUP_CATEGORY_REMOVABLE`

  Sources representing removable devices.

  - Value: `1`
  - Available since: 3.0
`RB_DISPLAY_PAGE_GROUP_CATEGORY_TRANSIENT`

  Transient sources (e.g. network shares).

  - Value: `3`
  - Available since: 3.0
`RB_DISPLAY_PAGE_GROUP_CATEGORY_TOOLS`

  Utility (ie non-source) pages.

  - Value: `4`
  - Available since: 3.0